import request from '@/utils/request'

// 查询课程评价列表
export function listCourseEvaluate(query) {
  return request({
    url: '/hezhi/courseEvaluate/list',
    method: 'get',
    params: query
  })
}

// 查询课程评价详细
export function getCourseEvaluate(courseEvaluateId) {
  return request({
    url: '/hezhi/courseEvaluate/' + courseEvaluateId,
    method: 'get'
  })
}

// 新增课程评价
export function addCourseEvaluate(data) {
  return request({
    url: '/hezhi/courseEvaluate',
    method: 'post',
    data: data
  })
}

// 修改课程评价
export function updateCourseEvaluate(data) {
  return request({
    url: '/hezhi/courseEvaluate',
    method: 'put',
    data: data
  })
}

// 删除课程评价
export function delCourseEvaluate(courseEvaluateId) {
  return request({
    url: '/hezhi/courseEvaluate/' + courseEvaluateId,
    method: 'delete'
  })
}
